Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 808671 - sci-libs/dealii-9.3.1: fails to build with Boost 1.77 (error: ‘boost::geometry::strategy::disjoint’ has not been declared)
Summary: sci-libs/dealii-9.3.1: fails to build with Boost 1.77 (error: ‘boost::geometr...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Matthias Maier
URL:
Whiteboard:
Keywords:
: 809242 812074 (view as bug list)
Depends on:
Blocks: boost-1.77
  Show dependency tree
 
Reported: 2021-08-17 02:50 UTC by Sam James
Modified: 2021-10-30 07:04 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (file_808671.txt,82.17 KB, text/plain)
2021-08-17 02:50 UTC, Sam James
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-08-17 02:50:58 UTC
Created attachment 733413 [details]
build.log

FAILED: source/numerics/CMakeFiles/obj_numerics_release.dir/vector_tools_point_gradient.cc.o 
/usr/bin/x86_64-pc-linux-gnu-g++ -DBOOST_NO_AUTO_PTR -I/var/tmp/portage/sci-libs/dealii-9.3.1/work/dealii-9.3.1_build/source/numerics -I/var/tmp/portage/sci-libs/dealii-9.3.1/work/dealii-9.3.1_build/include -I/var/tmp/portage/sci-libs/dealii-9.3.1/work/dealii-9.3.1/include  -pedantic -fPIC -Wall -Wextra -Wmissing-braces -Woverloaded-virtual -Wpointer-arith -Wsign-compare -Wsuggest-override -Wswitch -Wsynth -Wwrite-strings -Wno-placement-new -Wno-deprecated-declarations -Wno-literal-suffix -Wno-psabi -Wno-class-memaccess -O2 -march=native -pipe -Wno-unused-local-typedefs -funroll-loops -funroll-all-loops -fstrict-aliasing -MD -MT source/numerics/CMakeFiles/obj_numerics_release.dir/vector_tools_point_gradient.cc.o -MF source/numerics/CMakeFiles/obj_numerics_release.dir/vector_tools_point_gradient.cc.o.d -o source/numerics/CMakeFiles/obj_numerics_release.dir/vector_tools_point_gradient.cc.o -c /var/tmp/portage/sci-libs/dealii-9.3.1/work/dealii-9.3.1/source/numerics/vector_tools_point_gradient.cc
In file included from /usr/include/boost/geometry/index/detail/rtree/rstar/choose_next_node.hpp:25,
                 from /usr/include/boost/geometry/index/detail/rtree/rstar/rstar.hpp:15,
                 from /usr/include/boost/geometry/index/rtree.hpp:80,
                 from /var/tmp/portage/sci-libs/dealii-9.3.1/work/dealii-9.3.1/include/deal.II/numerics/rtree.h:29,
                 from /var/tmp/portage/sci-libs/dealii-9.3.1/work/dealii-9.3.1/include/deal.II/grid/grid_tools.h:49,
                 from /var/tmp/portage/sci-libs/dealii-9.3.1/work/dealii-9.3.1/include/deal.II/numerics/vector_tools_point_gradient.templates.h:22,
                 from /var/tmp/portage/sci-libs/dealii-9.3.1/work/dealii-9.3.1/source/numerics/vector_tools_point_gradient.cc:17:
/usr/include/boost/geometry/index/detail/algorithms/intersection_content.hpp: In function ‘bool boost::geometry::index::detail::disjoint_box_box(const Box&, const Box&, const boost::geometry::default_strategy&)’:
/usr/include/boost/geometry/index/detail/algorithms/intersection_content.hpp:35:32: error: ‘boost::geometry::strategy::disjoint’ has not been declared
   35 |     typedef typename strategy::disjoint::services::default_strategy<Box, Box>::type strategy_type;
      |                                ^~~~~~~~
/usr/include/boost/geometry/index/detail/algorithms/intersection_content.hpp:35:68: error: expected unqualified-id before ‘<’ token
   35 |     typedef typename strategy::disjoint::services::default_strategy<Box, Box>::type strategy_type;
      |                                                                    ^
/usr/include/boost/geometry/index/detail/algorithms/intersection_content.hpp:36:82: error: missing template arguments before ‘(’ token
   36 |     return geometry::detail::disjoint::disjoint_box_box(box1, box2, strategy_type());
      |                                

----
Portage 3.0.20 (python 3.9.6-final-0, default/linux/amd64/17.1/systemd, gcc-10.3.0, glibc-2.33-r5, 5.10.58-gentoo-dist-hardened x86_64)
=================================================================
System uname: Linux-5.10.58-gentoo-dist-hardened-x86_64-AMD_Ryzen_7_2700_Eight-Core_Processor-with-glibc2.33
KiB Mem:    16365964 total,  10252880 free
KiB Swap:   16777212 total,  15938300 free
Timestamp of repository gentoo: Mon, 16 Aug 2021 03:30:01 +0000
Head commit of repository gentoo: 79009e0439e54b3894eaf795a2d2011253b94def
sh bash 5.1_p8
ld GNU ld (Gentoo 2.35.2 p1) 2.35.2
app-shells/bash:          5.1_p8::gentoo
dev-lang/perl:            5.34.0-r1::gentoo
dev-lang/python:          2.7.18_p11::gentoo, 3.9.6::gentoo, 3.10.0_beta4::gentoo
dev-lang/rust:            1.54.0::gentoo
dev-util/cmake:           3.21.1::gentoo
sys-apps/baselayout:      2.7-r3::gentoo
sys-apps/sandbox:         2.24::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.16.4::gentoo
sys-devel/binutils:       2.35.2::gentoo, 2.36.1-r2::gentoo
sys-devel/gcc:            10.3.0-r2::gentoo, 11.2.0::gentoo
sys-devel/gcc-config:     2.4::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.33-r5::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts:

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/i2pd/certificates /var/spool/torque"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.3/ext-active/ /etc/php/apache2-php7.4/ext-active/ /etc/php/cgi-php7.3/ext-active/ /etc/php/cgi-php7.4/ext-active/ /etc/php/cli-php7.3/ext-active/ /etc/php/cli-php7.4/ext-active/ /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=native -pipe"
DISTDIR="/var/cache/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going=y"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -march=native -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=native -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="C.UTF8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 boost bzip2 cli crypt dri fortran gdbm iconv ipv6 libglvnd libtirpc multilib ncurses nls nptl openmp pam pcre pulseaudio readline seccomp split-usr ssl systemd tcpd udev unicode xattr zlib" ABI_X86="64 32" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt rdrand sha sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-3 php7-4" POSTGRES_TARGETS="postgres12 postgres13" PYTHON_SINGLE_TARGET="python3_9" PYTHON_TARGETS="python3_9" RUBY_TARGETS="ruby26" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RUSTFLAGS
Comment 1 Toralf Förster gentoo-dev 2021-08-20 16:22:00 UTC
*** Bug 809242 has been marked as a duplicate of this bug. ***
Comment 2 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-09-05 02:50:34 UTC
https://github.com/dealii/dealii/commit/23474424f64ab20eaad5aaf4914e9e39e2e174c6 fixes the original issue although the build seems to fail with the added includes at https://bugs.gentoo.org/808087#c2.
Comment 3 Andreas Sturmlechner gentoo-dev 2021-09-08 08:04:06 UTC
*** Bug 812074 has been marked as a duplicate of this bug. ***
Comment 4 Matthias Maier gentoo-dev 2021-10-30 07:04:40 UTC
This is fixed with the latest patchset applied to boost-1.77